* {
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}
@font-face {
  font-family: 'Avenir';
  src:  url('../font/Avenir\ Medium.ttf') format('truetype')
}



/* CSS Variables */

:root {
    --navbar-height: 59px;
}

body {
   font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   height: max-content;
   display: flex;
   align-items: center;
   justify-content: center;

}
h1,h2,h3,h4,h5,h6 {
color: #4D4D4D !important;
font-family: 'Avenir' ;
}
p{
  font-family: 'Avenir' ;
}

a{
  text-decoration: none !important;
  color: unset !important;
}
.d-flex_I{
    display: flex;
    /* align-items: center; */
    justify-content: center;
    text-align: center;  
}
.d-flex_a {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.d-flex_l{
  display: flex;
  align-items: center;
}
.d-flex_g{
  display: grid;
  align-items: center;
  text-align: center;
}
.d-flex_j{
  display: flex;
  justify-content: space-between;
}
.d-n{
    align-items: center;
    justify-content: center;
    text-align: center;
}

/* .popular_games{
  background: linear-gradient(rgba(255,255,255,1), rgb(255, 255, 255,0.6)), url("../img/images/bg1@2x.png"); 

} */
.popular_games .nav-tabs{
  border-bottom:none !important;
  box-shadow:none !important;
  
}
/* Splash Screen  */
section{
    width: 480px ;
   /* height: 877px; */
    border: 1px solid rgb(172, 172, 172);
    min-height: 100vh;
    overflow:auto !important;
}
.splash{
    margin-top: 30%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  height:70%;
}

.loader{
    width: 100px;
    display: -webkit-inline-box;
}
.loader img{
    height: 100%;
    width: 100%;
}

/* number page */

.number{
margin-top: 20%;
}

.number h2{
    color: #4D4D4D;
    font-weight: 500;
}

.number p{
    font-size: 18px;
}

.numField input{
    font-size: 18px;
}
.numField button{
    font-size: 20px;
    width: 40%;
    height: 100%;
    margin-top: 10%;
    border-radius: 10px;
}
.numField button:hover{
    color: #fafafa !important;
    background-color: #ED4C38 !important;
}

/* otp page  */


#wrapper {
    font-family: Lato;
    font-size: 1.5rem;
    text-align: center;
    box-sizing: border-box;
    color: #333;
  }
  
  #wrapper #dialog h3 {
    margin: 0 0 10px;
    padding: 0;
    line-height: 1.25;
  }
  #wrapper #dialog span {
    font-size: 90%;
  }
  #wrapper #dialog #form {
  
    margin: 25px auto 0;
  }
  #wrapper #dialog #form input {
    margin: 0 5px;
    text-align: center;
    line-height: 2.5;
    font-size: 1rem;
    border: solid 1px #ccc;
    box-shadow: 0 0 5px #ccc inset;
    outline: none;
    width: auto;
    transition: all 0.2s ease-in-out;
    border-radius: 50%;
  }
  #wrapper #dialog #form input:focus {
    border-color: red;
    box-shadow: 0 0 5px rgb(102, 174, 233) inset;
  }
  
  .otpField button{
    font-size: 20px;
    width: 40%;
    height: 100%;
    margin-top: 10%;
    border-radius: 10px;
  }

  .otpField button:hover{
    color: #fafafa !important;
    background-color: #ED4C38 !important;
}

.resendOtpLink a{
    text-decoration: none !important;    
}

/* .modal-dialog{
    max-width: 300px;
} */
.modal-header, .modal-footer{
    border: none;
}


/* Spin Wheel  */
/* 
@mixin spins($spin) {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(720deg + $spin * 36deg);
    }
  }

  
  .wrapper {
    margin: 0 0 30px;
    position: relative;
  }
  
  .pointer-wrapper {
    position: absolute;
    top: -25px;
    left: 46%;
    z-index: 1;
  }
  
  .button {
    margin: 0 0 40px;
  } */
  
  



/* test wheel  */
/* 
#chart svg {
  width: 100% !important;
}
#chart text{
  fill: #ffff !important;
}
#chart circle{
  fill:#F5CE2F !important;
}
#chart .slice{
  color: red !important;
} */

.navbar a{
  width: auto;
  height: auto;
}

.navbar a img{
  width: 100%;
  height: 100%;
}

.logo { width: auto !important }

.offcanvas-start {
  top: 0;
  left: auto !important;
  width: 75% !important;
  /* width: 20% !important; */
  border-right: 1px solid rgba(0,0,0,.2);
  transform: translateX(0%) !important;
}

.offcanvas-header ul{
  list-style: none;
  padding-left: 1rem !important;
}

.offcanvas-header ul li {
  margin-top: 5%;
  margin-bottom: 5%;
}
.offcanvas-header ul li a{
  color: #ED4C38;
  text-decoration: none;
}

.offcanvas-body a{
  text-decoration: none !important;
  color: #4D4D4D !important;
}
.offcanvas-body ul{
  padding-left: 1rem;
  border-top: 1px solid #c0c0c0;
}

.offcanvas-body li{
padding: 20px 0px !important;
}

.offcanvas-body h6{
padding-left: 2rem !important;
margin-bottom: 0px !important;
}


.modal-backdrop {
  position: fixed;
  top: 0;
  left: auto !important;
  height: 100vh;
  background-color: #000;}



  .carousel-caption{
    position: inherit !important;
    right: 0 !important;
    bottom: 0px !important;
    left: 0 !important;
    padding-top: 0px !important;
    text-align: center !important;
  }

  .carousel-caption button{
    background-color: #ED4C38;
    border-radius: 10px;
    width: 35%;
  }

  .carousel-item img{
border-radius: 12px !important;
height: 40vh;
}
  .carousel-indicators [data-bs-target]{
    width: 10px !important;
    height: 10px !important;
    margin: 0px 5px !important;
    border-radius: 50% !important;
    background-color: #848484 !important;
  }
  .carousel-indicators [data-bs-target].active{
    background-color: #ED4C38 !important;
  }

  

  .navbar-category ul{
    list-style: none;
    padding-left: 0px;
  }
  .navbar-category  h5{
    color: #ED4C38 !important;
    margin-left: 10px;
  }
  .navbar-category  h6{
    color: #ED4C38 !important;

  }
  .navbar-category ul li a{
    text-decoration: none;
  }

  .popularGameBanner{
    width: auto;
    padding: 0px 0px;
  }
  .popularGameBanner img{
    width: 100%;
    height: 100%;
  }

  .gameBanner ul{
    list-style: none;
  }
  /* .gameBanner ul li{
    padding: 10px !important;
  } */

  .home_games p{
    font-size: 14px;
    margin-bottom: 0px;
    color: #4D4D4D !important;
    max-width: 100px;
  }


  .home_nav h5{
    font-size: 16px;
    color: #ED4C38 !important;
    display: inline;
  }
  .home_nav p{
    font-size: 14px;
    color: #ED4C38;
    display: inline;
  }
  .home_games img{
    width: 100% !important;
  }

.freegames_nav {
  border-bottom: 1px solid rgba(0,0,0,.125);

}
  .freeGameBanner ul{
    padding-left: auto !important;
  }

.nav-tabs{
  flex-wrap: unset !important;
  justify-content: space-around;
  background: #FFFFFF 0% 0% no-repeat padding-box;
box-shadow: 0px 0px 10px #4D4D4D;
opacity: 1;
}
.nav-tabs li{
  margin-top: 10px;
}

.nav-tabs .nav-link {
  color: #848484 ;
  background-color: #fff;
  border: none !important;
  padding: 0px 0px 0px 0px !important;
}

.nav-tabs .nav-link h6{
  font-size: 0.8rem !important;
  color: #848484;
 }

 .bottom_icon {
width: 100%;
height: 30px !important;
}
 .bottom-icon img{
  width: 100%;
  height: 100%;
}

.nav-tab .nav-link.active{
  color: red !important;
}


.coin_games img{
  width: 100%;
}

.coin_games p{
  margin-bottom: 0px;
  /* color: #848484; */
}
.coin_games button{
  background-color: #ED4C38 ;
  border-radius: 10px;
  width: 80%;
}

.coinHr{
  border-bottom: 1px solid rgba(0,0,0,.125);
}
.coinHr p strong{
  color: #4D4D4D !important;
}
.coinHr p {
  /* margin-bottom: 0px !important; */
  color: #848484 !important;
}
.battel_nav img{
  width: auto;
}
.battel_img img{
  width: 100% !important;
}

.modal{
  max-width: 480px !important;
  text-align: center !important;
  left: auto !important;
}
.share-modal .modal-body{
  padding: 2rem 1rem !important;
}
.share-modal .modal-dialog {
  max-width: inherit !important;
  margin: 0px !important;
  align-items: flex-end !important;
  height: inherit !important;
}
.share-modal .modal-content {
background: #243040 !important;
}
.share-modal .modal-header{
  border-bottom: none !important;
}

.fade:not(.show){
  display: none !important;
}

/* edit profile */

.image-upload > input
{
    display: none;
}

.image-upload img
{
    width: auto;
    cursor: pointer;
}


#profileImage
{
    cursor: pointer;
}

#profile-container {
    width: 100%;
    height: 100%;
    /* overflow: hidden; */
    /* -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    border-radius: 50%; */
}

#profile-container img {
  width: 100%;
  height: 100%;
}
.ediProfile p{
  margin-bottom: 0px !important;
}
.editprofile_nav {
  padding: 1rem 0rem 0.5rem 0rem !important;
    border-bottom: 1px solid rgba(0,0,0,.125) !important;
}
.ediProfile_avtar{
  padding:  1rem 0rem;
  border-bottom: 1px solid rgba(0,0,0,.125) !important;
}

.editprofileImage_nav h5{
margin-bottom: 0px !important;
}

/* faq */
.faq .card-header{
  padding: 0px !important;
  background-color: #FFFFFF !important;
}
.faq .card-header button:hover{
  text-decoration: none !important;
}

.faq .card-header .btn-link{
  color: #4D4D4D !important;
}
.faq .card-body .btn-link{
  color: #848484 !important;
}
.btn.focus, .btn:focus{
  box-shadow: none !important;
}
button:not(:disabled) {
  text-decoration: none !important;
}

/* my games  */
.mygammes_table{
  background-color: #ED4C38;
  color: #FFFFFF;
  opacity: 0.42;
}

/* play coin */
.coinScore .tab-content{
  background-image: none;
}
.coinScore_boad{
  background-color: #ED4C38;
  padding: 1.5rem;
    border-radius: 8px;
}
.coinScore_boad h6{
 color:  #FFFFFF !important;
}
.coinScore_boad h4{
 color:  #FFFFFF !important;
}

.coin_table{
  border: 1px solid #ED4C38;
  border-radius: 30px;
}
.coin_table .nav-tabs{
 border-bottom:  none !important;
 box-shadow: none !important;
 background-color: transparent !important;
}
.coin_table .nav-tabs{
  padding: 10px 0px !important;
}
.coin_table .nav-tabs li{
margin-top: auto !important;
}
.coin_table .nav-tabs .nav-link{
padding: 0.5rem 2rem !important;
border-radius: 30px;
}
.coin_table .nav-tabs .nav-link:hover{
color: #4D4D4D !important;
}
.coin_table .nav-tabs .nav-link.active{
background-color: #ED4C38 !important ;
color: #FFFFFF !important;
}

.leader_header{
  padding: 10px 0px;
  border-top: 1px solid #db8579 ;
  border-bottom: 1px solid #db8579 ;
 
}
.leader_user{
  justify-content: space-between;
}
.tab-content{
  margin-bottom: 12vh;
  /* background-image: url(../img/images/bg2@2x.png) ; */
  /* background: linear-gradient(rgba(255,255,255,1), rgb(255, 255, 255,0.6)), url("../img/images/bg2@2x.png");  */
}
.bottom_button .nav-tabs{
  position:fixed;
	bottom:0;
  max-width: 480px;	
  width: 100%;
}

/* win wheel  */

canvas{
  width: 100% !important;
  height: auto !important;
    text-align: center !important;
    border-radius: 2rem !important;
  }
  .swal2-popup{
    width: auto !important;
  }

  .winwheel .modal{
    display: flex !important;
  }
  /* .winwheel .modal-dialog{
    margin: 1rem !important;
  } */
  .winwheel .modal-body{
    padding: 0px;
  }
  .winwheel .modal-content{
    border-radius: 1.5rem !important;
    width:fit-content !important;
    background-color: transparent !important;
    border: 0px;
  }
  .modal-backdrop{
    opacity: 0.7 !important;
  }


.bottom_icon .img2 {
    display: none; 
    z-index: 99;
}
.bottom_button .nav-link.active .img1{
  display: none;
}
.bottom_button .nav-link.active .img2 {
    display: inline;
}

.bottom_button .nav-link.active h6{
  color: #ED4C38 !important;
}


.popular_games_btn .nav-link .img2 {
    display: none; 
    z-index: 99;
}
.popular_games_btn .nav-link.active .img1{
  display: none;
}
.popular_games_btn .nav-link.active .img2 {
    display: inline;
}

.popular_games_btn .nav-link.active h6{
  color: #ED4C38 !important;
}



@media (max-width: 359.8px){
  .home_nav p{
    font-size: 12px !important;
  }
  .gameBanner h5{
    font-size: 0.9rem;
  }

}

@media (min-width: 768px) { 
  .offcanvas-start{
  max-width: 25% !important;
  }
  .modal-backdrop{
    width: 480px !important;
    height: 877px !important;
  } 
}


/* crop  */


.crop-select{
  cursor: pointer;
}

.ic-container {
position: relative;
}
.ic-overlay-n,
.ic-overlay-e,
.ic-overlay-s,
.ic-overlay-w {
position: absolute;
background-color: #000;
opacity: 0.7;
}
.ic-overlay-n {
top: 0;
}
.ic-overlay-e {
top: 0;
right: 0;
bottom: 0;
}
.ic-overlay-s {
bottom: 0;
}
.ic-overlay-w {
top: 0;
bottom: 0;
left: 0;
}
.ic-resize-handle-ne,
.ic-resize-handle-se,
.ic-resize-handle-nw,
.ic-resize-handle-sw {
position: absolute;
width: 10px;
height: 10px;
background: #c92437;
z-index: 999;
}
.ic-resize-handle-nw {
top: -5px;
left: -5px;
cursor: nw-resize;
}
.ic-resize-handle-sw {
bottom: -5px;
left: -5px;
cursor: sw-resize;
}
.ic-resize-handle-ne {
top: -5px;
right: -5px;
cursor: ne-resize;
}
.ic-resize-handle-se {
bottom: -5px;
right: -5px;
cursor: se-resize;
}
.ic-crop-marker {
position: absolute;
z-index: 999;
border: solid 2px rgba(255, 255, 255, 0.5);
cursor: move;
/* border-radius: 50%; */
}
.ic-move-handle {
position: absolute;
top: 0;
right: 0;
bottom: 0;
left: 0;
}
.ic-container img {
display: block;
max-width: 100%;
}

img {
width: auto;
}

.hidden {
display: none;
height: 100% !important;

}

.thumbnail {
align-items: center;
display: inline-block;
width: 45px;
}
.thumbnail img {
display: block;
/* border-radius: 5px; */
border-radius: 50%;
width: 100%;
}


/* 23-07 */

  /* .winwheel .modal-dialog{
    margin: 1rem !important;
  } */

  /* remove */
  /* background-image:url(../img/images/spinbg.png); background-repeat: no-repeat; background-size: cover;" */

  .swal2-title{
    font-size: 24px;
  }

  #dwheel{
    border-radius: 2rem;
    margin: 0 auto;
    height:550;
    padding: 0px 15%;
  }


  .test{
    overflow: auto;
    display: flex;
    width: 100%;
  }

  .test  li{
    width: 135px;
    margin: 0px 5px;
  }

.test  li .home_games{
    width: inherit;
  }


  /* new wheel */

.modal-content{
    background-image: url(./base.png);
    background-size: cover;
    background-color: transparent;
background-clip: padding-box;
border: 0px;
border-radius: 20px;
}
.modal-dialog{
    margin: 1rem;
}
.modal-header{
    border-bottom: 0px;
    padding: 0px 1rem;
}
.modal-title{
    text-transform:uppercase;
    font-size: 30px;
    color: #ED4C38;
}
.modal-body{
    padding: 0px;
}
.modal-footer{
    display: block;
    border-top: 0px;
}
.modal-footer button{
    border-radius: 15px;
}
.footer-text a{
    color: #000000;
    opacity: 0.5;
}
.swal2-popup { max-width: 300px !important;
border-radius: 20px !important;
}
.swal2-title{
font-size: 1.5em;
}
/* .swal2-styled.swal2-confirm {
background-color: #ffa000 !important;
width: 30% !important;
} */
text{
font-family:Helvetica, Arial, sans-serif;
font-size:12px;
font-weight: 600;
color: #ffffff ;
pointer-events:none;
}
#chart{
position:unset;
width: 100%;
height:auto;
top:0;
left:0;
text-align: center;
}
#question{
position: absolute;
/* width:400px;
height:500px; */
top:0;
left:520px;
}
#question h1{
font-size: 50px;
font-weight: bold;
font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
position: absolute;
padding: 0;
margin: 0;
top:50%;
-webkit-transform:translate(0,-50%);
        transform:translate(0,-50%);
}



/* 06-08-2021 */

section{
  max-width: -webkit-fill-available;

}
section{
  background-image: url(../img/images/splash.png) !important;
  background-size: 50% !important;
}
.navbar{
 display: flex;
 width: 100%;
justify-content: space-between;
} 

.offcanvas-body{
  padding: 0px 1rem !important;
}
.offcanvas-header{
  padding: 1rem 0rem 0rem 1rem !important;
}
.navbar{
  padding-top: 1rem !important;
}
.coinHr img{
  width: 50%;
}

.test li .home_games{
  width: 100Px;
}

.popular_games_btn .nav-tabs {
  box-shadow:none;
  border-bottom: none !important;
}


.spinWheel-modal .modal-content {
  background-image: url(../html/base.png);
  background-size: 100% 100%;
  background-color: transparent;
  background-clip: padding-box;
  border: 0px;
  border-radius: 20px;
}

.spinWheel-modal .modal-dialog {
  margin: 1rem;
}

.spinWheel-modal .modal-header {
  border-bottom: 0px;
  padding: 0px 1rem;
  display: block;
}

.spinWheel-modal .modal-title {
  text-transform: uppercase;
  font-size: 30px;
  color: #ED4C38 !important;
}

.spinWheel-modal .footer-text{
text-decoration: underline;
}

.spinWheel-modal .modal-body {
  padding: 0px;
}

.spinWheel-modal .modal-footer {
  display: block;
  border-top: 0px;
}

.spinWheel-modal .modal-footer button {
  border-radius: 15px;
}

.spinWheel-modal .footer-text a {
  color: #000000;
  opacity: 0.5;
}

.spinWheel-modal .swal2-popup {
  max-width: 300px !important;
  border-radius: 20px !important;
}

.spinWheel-modal .swal2-title {
  font-size: 1.5em;
}

.spinWheel-modal .swal2-styled.swal2-confirm {
  background-color: #ffa000 !important;
  width: 30% !important;
}

.spinWheel-modal text {
  font-family: Helvetica, Arial, sans-serif;
  font-size: 14px;
  font-weight: 700;
  color: #ffffff;
  pointer-events: none;
}

.spinWheel-modal #chart {
  position: unset;
  width: 100%;
  height: auto;
  top: 0;
  left: 0;
  text-align: center;
}

.spinWheel-modal #question {
  position: absolute;
  top: 0;
  left: 520px;
}

.spinWheel-modal #question h1 {
  font-size: 50px;
  font-weight: bold;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  position: absolute;
  padding: 0;
  margin: 0;
  top: 50%;
  -webkit-transform: translate(0, -50%);
  transform: translate(0, -50%);
}

.swal2-actions{
  width: max-content !important;
}


@media (max-width: 767.9px){
  .spinWheel-modal .modal-dialog {
      margin: 0rem 1rem 0rem 1rem !important;
      
      
}
 .carousel-item img{
    height: 35vh;
  }
}
.battel_games, .coin_games{
  margin-bottom: 20%;
}

.mb-20{
	margin-bottom: 20%;
}
.list_games{
	margin-bottom: 20%;
}
.spinWheel-modal .modal-title{
  font-size: 24px !important;
}

.spinWheel-modal .modal-dialog {
  margin: 1rem 4rem 1rem 4rem;
  }
  
  
/*   .modal-backdrop {
     background-color: rgba(0,0,0,.0001) !important;
} */


.popular_games_btn .nav-tabs{
  background: transparent !important;
}

.offcanvas-body ul li img{width:19px !important;}

.share-modal img{
  width: 42px !important;
}

.text-under{
        text-decoration: underline !important;
        color: #0d6efd !important;
      }
      
      .pLeader{
  font-size: 14px !important; 
  color: black !important;
   margin-bottom: 0px !important;
}

.lineBottom{
  border-bottom: 1px solid #D8D8D8 !important;
}

@media (max-width:767.8px){
  .coinScore_boad{
    padding: .5rem;
  }
}                                                                 
@media (max-width:380px){
.ldText{
  font-size: 13px;
}
}

 .earnGameBanner img{
            border-radius: 20px ;
        }

        .goog-te-banner-frame {
    visibility:hidden !important;
  }
  
  .skiptranslate span{
    display: none !important;
  }